Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.enterprise.ee.cms.core
Interface ActionFactory

All Known Subinterfaces:
  FailureNotificationActionFactory, FailureRecoveryActionFactory, FailureSuspectedActionFactory, GroupLeadershipNotificationActionFactory, JoinedAndReadyNotificationActionFactory, JoinNotificationActionFactory, MessageActionFactory, PlannedShutdownActionFactory

All Known Implementing Classes:
  FailureNotificationActionFactoryImpl, FailureRecoveryActionFactoryImpl, FailureSuspectedActionFactoryImpl, GroupLeadershipNotificationActionFactoryImpl, JoinedAndReadyNotificationActionFactoryImpl, JoinNotificationActionFactoryImpl, MessageActionFactoryImpl, PlannedShutdownActionFactoryImpl

    public interface ActionFactory

Produces Action instances. This pattern enables implementors to provide Action instances only when called, along with the flexibility to produce Actions from either a pool or by creating a new instance each time or by using a Singleton, etc. The method `produceAction` will be called before delivery of Signal to the Action "produced." Each instance of an Action is guaranteed to be served an instance of Signal on a separate thread. If the ActionFactory always returns the same Action instance, that instance should be written to take into account the possibility of multiple threads delivering distinct signals.

Version:
  $Revision: 1.2 $
Author:
  Shreedhar Ganapathy Date: Jan 13, 2004

Method Summary
`Action` | `produceAction()` Produces an Action instance.

Method Detail

### produceAction

    Action produceAction()

  Produces an Action instance.

  Returns:
    com.sun.enterprise.ee.cms.Action

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.